                    include  "vectrex.i"
buffer              EQU      $c888                        ; 
Vec_Text_Width_neg  EQU      buffer                       ; variable used in own printing routines 
print_space         EQU      Vec_Text_Width_neg+2         ; buffer for draw numbers 
                    ORG      $0000                        ; start address of all vectrex progs -> 0 
; Magic Init Block
                    FCB      $67,$20                      ; copyright sign and space 
                    FCC      "GCE XXXX"                   ; copyright text, must start with copyright sign space GCE
                    FCB      $80                          ; end of text marker 
                    FDB      music1                       ; music address to be played on title screen 
                    FDB      $f850                        ; text size for following text height, width (A,B) 
                    FDB      $30b8                        ; position of following text y,x (A,B) 
                    FCC      "STRING TEST"                ; text
                    FCB      $80,$0                       ; text end ($80) and header end (0) 
                    direct   $d0                          ; vectrex starts with dp set to $d0 
init:                                                     ;        start of program 
                    JSR      Wait_Recal 
                    jsr      Intensity_5F                 ; brightness to $5f 
                                                          ;        no need to go to zero here, 
                                                          ;        since this is the first printin

                    ldu      #TestString1                 ; load score string 
                    jsr      my_Print_Str_hwyx            ; print it 
; alternative                    jsr      Print_Str_hwyx            ; print it 



                    jmp      init 

                    include  "print.i"                    ; routines for my printing...
TestString1: 
                    fdb      $f830 
                    fdb      $7090 
                    FCB      $81 
                    	FCC     "THIS IS A TESTSTRING"
                    FCB      $81 
; alternative fcb $80


; 4227 with "my" routines
; 6980